PGASetCrossoverType(3)

NAME
PGASetCrossoverType - specify the type of crossover to use.

DESCRIPTION
Valid choices are PGA_CROSSOVER_ONEPT, PGA_CROSSOVER_TWOPT, or PGA_CROSSOVER_UNIFORM for one-point, two-point, and uniform crossover, respectively. The default is PGA_CROSSOVER_TWOPT.

INPUT PARAMETERS
ctx - context variable
crossover_type
    - symbolic constant to specify crossover type

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetCrossoverType(ctx, crossover_type)
PGAContext *ctx
int crossover_type

LOCATION
cross.c

EXAMPLE
Example:
Use uniform crossover when crossingover strings.

PGAContext *ctx;
:
PGASetCrossoverType(ctx, PGA_CROSSOVER_UNIFORM);